textures/q3hh4/t_shine
{
	qer_editorimage textures/q3hh4/e_trim02.tga

	{
		map textures/base_wall/chrome_env2.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/q3hh4/e_trim02.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/q3hh4/wire_shine
{
	qer_editorimage textures/q3hh4/e_wires01.tga

	{
		map textures/base_wall/chrome_env2.tga
		tcGen environment
		rgbGen identity
		tcmod scroll .2 -2
	}
	{
		map textures/q3hh4/e_wires01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/q3hht1/chain
{
	qer_editorimage textures/q3hh1/cyb_kedja2.tga
	cull disable
	surfaceparm alphashadow
	deformVertexes autoSprite2
	surfaceparm trans
	surfaceparm nonsolid
	deformVertexes wave 194 sin 0 15 0 .4

	{
		map textures/q3hh1/cyb_kedja2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/q3hht1/chain_wrap
{
	qer_editorimage textures/q3hh1/cyb_kedja2.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans

	{
		map textures/q3hh1/cyb_kedja2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/q3hht1/glass_r
{
	qer_editorimage textures/base_wall/shiny3.tga
	surfaceparm trans
	cull none
	qer_trans 0.5

	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
	{
		animMap 2 textures/q3hht1/drop1.tga textures/q3hht1/drop2.tga textures/q3hht1/drop3.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave triangle 0 1 0 2
	}
	{
		animMap 5 textures/q3hht1/drop2a.tga textures/q3hht1/drop3a.tga textures/q3hht1/drop1a.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave triangle 0 1 0 5
		tcMod scroll .1 0
	}
	{
		map textures/liquids/pj_e3_reflection2b.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbgen wave sin .3 0 0 0
		tcmod scale 1 1
		tcMod scroll .1 0
	}
}

textures/q3hht1/grate_solid
{
	qer_editorimage textures/base_floor/proto_grate4
	surfaceparm metalsteps
	surfaceparm trans
	cull none
	nopicmip

	{
		map textures/base_floor/proto_grate4.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/q3hht1/gre_scroll
{
	surfaceparm trans
	surfaceparm nomarks
	qer_editorimage textures/q3hh5/5_trimeffect.tga
	cull none

	{
		map textures/q3hh5/5_trimeffect.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll -1 0
	}
}

textures/q3hht1/green1
{
	qer_editorimage textures/q3hht1/green1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000

	{
		map $whiteimage
		rgbGen identity
	}
	{
		map textures/q3hht1/green1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/q3hht1/green2
{
	qer_editorimage textures/q3hht1/green2.tga
	surfaceparm nomarks
	q3map_surfacelight 3000

	{
		map $whiteimage
		rgbGen identity
	}
	{
		map textures/q3hht1/green2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/q3hht1/green3
{
	qer_editorimage textures/q3hht1/green3.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	surfaceparm nolightmap

	{
		map $whiteimage
		rgbGen identity
	}
	{
		map textures/q3hht1/green3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/q3hht1/grey_sky
{
	qer_editorimage textures/skies/dimclouds.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 1 1 1 30 0 50
	q3map_surfacelight 20
	skyparms - 512 -

	{
		map textures/skies/dimclouds.tga
		tcMod scroll 0.005 0
		tcMod scale 2 2
		depthWrite
	}
}

textures/q3hht1/rain
{
	qer_editorimage textures/q3hht1/rain_hh.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .5
	cull none
	deformVertexes move 3 1 0 sin 0 10 0 0.2
	deformVertexes move .6 3.3 0 sin 0 10 0 0.4
	deformVertexes wave 30 sin 0 15 0 .2

	{
		map textures/q3hht1/rain_hh.tga
		tcMod Scroll .5 -8
		tcMod turb .1 .25 0 -.1
		blendFunc GL_ONE GL_ONE
	}
}

textures/q3hht1/rain_floor1
{
	qer_editorimage textures/q3hh4/4_conc_floor01.tga
	tessSize 128
	deformVertexes normal 1 15

	{
		map textures/q3hh4/4_conc_floor01.tga
		rgbGen identity
	}
	{
		map textures/liquids/pj_e3_reflection2b.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbgen wave sin .3 0 0 0
		tcmod scale 2 2
		tcMod scroll .5 .5
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/q3hht1/rain_floor2
{
	qer_editorimage textures/q3hh4/4_met01a.tga
	tessSize 128
	deformVertexes normal 1 15

	{
		map textures/q3hh4/4_met01a.tga
		rgbGen identity
	}
	{
		map textures/liquids/pj_e3_reflection2b.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbgen wave sin .3 0 0 0
		tcmod scale 2 2
		tcMod scroll .5 .5
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/q3hht1/rain_floor3
{
	qer_editorimage textures/q3hh4/4_floor02.tga
	tessSize 128
	deformVertexes normal 1 15

	{
		map textures/q3hh4/4_floor02.tga
		rgbGen identity
	}
	{
		map textures/liquids/pj_e3_reflection2b.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbgen wave sin .3 0 0 0
		tcmod scale 2 2
		tcMod scroll .5 .5
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/q3hht1/rain_floor4
{
	qer_editorimage textures/q3hh4/4_cwall_fix.tga
	tessSize 128
	deformVertexes normal 1 15

	{
		map textures/q3hh4/4_cwall_fix.tga
		rgbGen identity
	}
	{
		map textures/liquids/pj_e3_reflection2b.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbgen wave sin .3 0 0 0
		tcmod scale 2 2
		tcMod scroll .5 .5
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/q3hht1/white_li
{
	qer_editorimage textures/q3hh4/4_met05b.tga
	q3map_lightimage textures/q3hh4/4_met05b.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	light 1

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/q3hh4/4_met05b.tga
		blendFunc filter
	}
}

textures/q3hht1/yellow
{
	qer_editorimage textures/base_light/ceil1_4.tga
	surfaceparm nomarks
	q3map_surfacelight 5000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_4.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_4.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/q3hh4/cwall3_shine
{
	qer_editorimage textures/q3hh4/e_cwall03.tga
	surfaceparm nomarks
	q3map_surfacelight 600
	q3map_lightimage textures/q3hh4/cwall.bl2.tga
	{

//		map $lightmap
//		blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
//		rgbGen identity
//	}
//	{

		
	map textures/sfx/proto_zzztblu3.tga
	//	tcGen environment
		rgbGen identity
		tcmod scroll .2 -2
	}
	{
	
	map textures/q3hh4/e_cwall03.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{

	map textures/q3hh4/cwall.bl2.tga
	blendfunc GL_ONE GL_ONE

	}
	{	
		map $lightmap
		blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity

	}
}

textures/q3hht1/flare_w
{
qer_editorimage textures/q3hht1/flare_w.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
		surfaceparm alphashadow
	surfaceparm nolightmap
	cull none
        deformVertexes autoSprite
	{
		map textures/q3hht1/flare_w.tga
                blendFunc add
        }
      
     
}


textures/q3hht1/rain_floor5
{
	qer_editorimage textures/q3hh4/4_conc02.tga
	tessSize 128
	deformVertexes normal 1 15

	{
		map textures/q3hh4/4_conc02.tga
		rgbGen identity
	}
	{
		map textures/liquids/pj_e3_reflection2b.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbgen wave sin .3 0 0 0
		tcmod scale 2 2
		tcMod scroll .5 .5
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}


textures/q3hht1/rain2_hh
{
	qer_editorimage textures/q3hht1/rain_hh.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	qer_trans .5
	//deformVertexes move 3 1 0 sin 0 10 0 0.2
	//deformVertexes move .6 3.3 0 sin 0 10 0 0.4
	//deformVertexes wave 30 sin 0 15 0 .2
	deformVertexes wave 194 sin 0 30 0 .4


{
	map textures/q3hht1/rain_hh.tga
	blendfunc add
	rgbGen identity
	tcMod scroll 0.5 -6
	tcMod turb 0 0.2 0 0.2
	}
}


textures/q3hh4/cwall3_shine2
{
	qer_editorimage textures/q3hh4/e_cwall03.tga

	{
		map textures/q3hht1/green_fx.tga
	//	tcGen environment
		rgbGen identity
		tcmod scroll .2 -2
	}
	{
		map textures/q3hh4/e_cwall03.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/q3hht1/chrome
{
	{
		map textures/base_wall/chrome_metal.tga
		//map textures/base_wall/chrome_env.tga
		tcGen environment
		tcmod scale .25 .25 
		
	}

	{
		map textures/base_wall/chrome_metal.tga
		blendFunc GL_ONE GL_ONE
		detail
        	tcMod scale 0.0693 0.0712
		rgbGen identity
	}


	{
		map $lightmap
                rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	   
	}

}

textures/q3hh4/cwallgl
{
	qer_editorimage textures/q3hh4/e_cwall03.tga
	surfaceparm nomarks
	q3map_surfacelight 300
	q3map_lightimage textures/q3hh4/cwall.bl3.tga
	{

//		map $lightmap
//		blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
//		rgbGen identity
//	}
//	{

		
	map textures/q3hht1/green_fx.tga
	//	tcGen environment
		rgbGen identity
		tcmod scroll .2 -2
	}
	{
	
	map textures/q3hh4/e_cwall03.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{

	map textures/q3hh4/cwall.bl3.tga
	blendfunc GL_ONE GL_ONE

	}
	{	
		map $lightmap
		blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity

	}
}
textures/base_floor/proto_grate4
{
surfaceparm metalsteps
surfaceparm trans
surfaceparm nonsolid
cull none
{
map textures/base_floor/proto_grate4.tga
blendfunc gl_src_alpha gl_one_minus_src_alpha
depthwrite
rgbgen vertex
}
}




textures/q3hht1/flare_w1
{
qer_editorimage textures/q3hht1/flare_w.tga
        q3map_flare textures/q3hht1/flare_w.tga
     
}




